CUPS csütörtök (Ubuntu 18.04 LTS)

 ( Oregon | 2019. május 10., péntek - 8:16 )

Tegnap reggelre arra ébredtünk a cégnél, hogy egyik Brother nyomtatóra sem tudtunk nyomtatni (apt daily update). Kb két órát csesztem el mire rájöttem, hogy a csomag van elbaszva. Szerencsére vannak bent HP nyomtatóink is illetve az OS-ből nekünk csak egy browser kell (meg, hogy nyomtatni tudjunk), így 19.04 USB boot megoldotta a gondot átmenetileg. Estére jött a CUPS frissítés, ma már minden jó.

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Nálunk is előjött egy hasonló issue.. A mi esetünkben a ghostscript csomag volt a bűnös.. Downgrade 9.22re megoldotta.
Ugyan ez volt nálad is?
____________________________________
Az embert 2 éven át arra tanítják hogyan álljon meg a 2 lábán, és hogyan beszéljen... Aztán azt mondják neki: -"Ülj le és kuss legyen!"..

Ne kerestem meg melyik csomag. A tegnapi esti hibajavító frissítésnek a gs nem volt része emlékeim szerint.
Valamelyik cups-filter csomagban volt a hiba. (evone: a CUPS az Apple alá tartozik.) :P

2019-05-10 07:57:14 startup archives unpack
2019-05-10 07:57:21 upgrade cups-browsed:amd64 1.20.2-0ubuntu3 1.20.2-0ubuntu3.1
2019-05-10 07:57:21 status half-configured cups-browsed:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:21 status unpacked cups-browsed:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:21 status half-installed cups-browsed:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:21 status triggers-pending ureadahead:amd64 0.100.0-21
2019-05-10 07:57:21 status triggers-pending systemd:amd64 237-3ubuntu10.21
2019-05-10 07:57:22 status triggers-pending man-db:amd64 2.8.3-2ubuntu0.1
2019-05-10 07:57:22 status half-installed cups-browsed:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:22 status unpacked cups-browsed:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:22 status unpacked cups-browsed:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:23 startup packages configure
2019-05-10 07:57:23 trigproc ureadahead:amd64 0.100.0-21 
2019-05-10 07:57:23 status half-configured ureadahead:amd64 0.100.0-21
2019-05-10 07:57:23 status installed ureadahead:amd64 0.100.0-21
2019-05-10 07:57:23 configure cups-browsed:amd64 1.20.2-0ubuntu3.1 
2019-05-10 07:57:23 status unpacked cups-browsed:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:23 status unpacked cups-browsed:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:23 status unpacked cups-browsed:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:23 status unpacked cups-browsed:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:23 status half-configured cups-browsed:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:24 status installed cups-browsed:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:24 trigproc systemd:amd64 237-3ubuntu10.21 
2019-05-10 07:57:24 status half-configured systemd:amd64 237-3ubuntu10.21
2019-05-10 07:57:24 status installed systemd:amd64 237-3ubuntu10.21
2019-05-10 07:57:24 trigproc man-db:amd64 2.8.3-2ubuntu0.1 
2019-05-10 07:57:24 status half-configured man-db:amd64 2.8.3-2ubuntu0.1
2019-05-10 07:57:25 status installed man-db:amd64 2.8.3-2ubuntu0.1
2019-05-10 07:57:28 startup archives unpack
2019-05-10 07:57:28 upgrade cups-filters-core-drivers:amd64 1.20.2-0ubuntu3 1.20.2-0ubuntu3.1
2019-05-10 07:57:28 status half-configured cups-filters-core-drivers:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:28 status unpacked cups-filters-core-drivers:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:28 status half-installed cups-filters-core-drivers:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:28 status triggers-pending man-db:amd64 2.8.3-2ubuntu0.1
2019-05-10 07:57:28 status half-installed cups-filters-core-drivers:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:29 status unpacked cups-filters-core-drivers:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:29 status unpacked cups-filters-core-drivers:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:29 startup packages configure
2019-05-10 07:57:29 configure cups-filters-core-drivers:amd64 1.20.2-0ubuntu3.1 
2019-05-10 07:57:29 status unpacked cups-filters-core-drivers:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:29 status half-configured cups-filters-core-drivers:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:29 status installed cups-filters-core-drivers:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:29 trigproc man-db:amd64 2.8.3-2ubuntu0.1 
2019-05-10 07:57:29 status half-configured man-db:amd64 2.8.3-2ubuntu0.1
2019-05-10 07:57:30 status installed man-db:amd64 2.8.3-2ubuntu0.1
2019-05-10 07:57:33 startup archives unpack
2019-05-10 07:57:33 upgrade libfontembed1:amd64 1.20.2-0ubuntu3 1.20.2-0ubuntu3.1
2019-05-10 07:57:33 status triggers-pending libc-bin:amd64 2.27-3ubuntu1
2019-05-10 07:57:33 status half-configured libfontembed1:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:33 status unpacked libfontembed1:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:33 status half-installed libfontembed1:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:33 status half-installed libfontembed1:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:33 status unpacked libfontembed1:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:34 status unpacked libfontembed1:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:34 startup packages configure
2019-05-10 07:57:34 configure libfontembed1:amd64 1.20.2-0ubuntu3.1 
2019-05-10 07:57:34 status unpacked libfontembed1:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:34 status half-configured libfontembed1:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:34 status installed libfontembed1:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:34 trigproc libc-bin:amd64 2.27-3ubuntu1 
2019-05-10 07:57:34 status half-configured libc-bin:amd64 2.27-3ubuntu1
2019-05-10 07:57:34 status installed libc-bin:amd64 2.27-3ubuntu1
2019-05-10 07:57:37 startup archives unpack
2019-05-10 07:57:39 upgrade cups-filters:amd64 1.20.2-0ubuntu3 1.20.2-0ubuntu3.1
2019-05-10 07:57:39 status half-configured cups-filters:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:39 status unpacked cups-filters:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:39 status half-installed cups-filters:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:39 status triggers-pending cups:amd64 2.2.7-1ubuntu2.4
2019-05-10 07:57:39 status triggers-pending man-db:amd64 2.8.3-2ubuntu0.1
2019-05-10 07:57:39 status half-installed cups-filters:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:39 status unpacked cups-filters:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:40 status unpacked cups-filters:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:40 startup packages configure
2019-05-10 07:57:40 configure cups-filters:amd64 1.20.2-0ubuntu3.1 
2019-05-10 07:57:40 status unpacked cups-filters:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:40 status unpacked cups-filters:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:40 status half-configured cups-filters:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:40 status installed cups-filters:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:40 trigproc cups:amd64 2.2.7-1ubuntu2.4 
2019-05-10 07:57:40 status half-configured cups:amd64 2.2.7-1ubuntu2.4
2019-05-10 07:57:47 status installed cups:amd64 2.2.7-1ubuntu2.4
2019-05-10 07:57:47 trigproc man-db:amd64 2.8.3-2ubuntu0.1 
2019-05-10 07:57:47 status half-configured man-db:amd64 2.8.3-2ubuntu0.1
2019-05-10 07:57:47 status installed man-db:amd64 2.8.3-2ubuntu0.1
2019-05-10 07:57:50 startup archives unpack
2019-05-10 07:57:50 upgrade libcupsfilters-dev:amd64 1.20.2-0ubuntu3 1.20.2-0ubuntu3.1
2019-05-10 07:57:50 status half-configured libcupsfilters-dev:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:50 status unpacked libcupsfilters-dev:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:50 status half-installed libcupsfilters-dev:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:50 status half-installed libcupsfilters-dev:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:51 status unpacked libcupsfilters-dev:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:51 status unpacked libcupsfilters-dev:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:51 upgrade libcupsfilters1:amd64 1.20.2-0ubuntu3 1.20.2-0ubuntu3.1
2019-05-10 07:57:51 status triggers-pending libc-bin:amd64 2.27-3ubuntu1
2019-05-10 07:57:51 status half-configured libcupsfilters1:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:51 status unpacked libcupsfilters1:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:51 status half-configured libcupsfilters1:i386 1.20.2-0ubuntu3
2019-05-10 07:57:51 status half-installed libcupsfilters1:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:51 status half-installed libcupsfilters1:amd64 1.20.2-0ubuntu3
2019-05-10 07:57:52 status unpacked libcupsfilters1:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:52 status unpacked libcupsfilters1:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:52 upgrade libcupsfilters1:i386 1.20.2-0ubuntu3 1.20.2-0ubuntu3.1
2019-05-10 07:57:52 status half-configured libcupsfilters1:i386 1.20.2-0ubuntu3
2019-05-10 07:57:52 status unpacked libcupsfilters1:i386 1.20.2-0ubuntu3
2019-05-10 07:57:52 status half-installed libcupsfilters1:i386 1.20.2-0ubuntu3
2019-05-10 07:57:52 status half-installed libcupsfilters1:i386 1.20.2-0ubuntu3
2019-05-10 07:57:53 status unpacked libcupsfilters1:i386 1.20.2-0ubuntu3.1
2019-05-10 07:57:53 status unpacked libcupsfilters1:i386 1.20.2-0ubuntu3.1
2019-05-10 07:57:54 startup packages configure
2019-05-10 07:57:54 configure libcupsfilters1:amd64 1.20.2-0ubuntu3.1 
2019-05-10 07:57:54 status unpacked libcupsfilters1:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:54 status half-configured libcupsfilters1:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:54 status installed libcupsfilters1:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:54 configure libcupsfilters1:i386 1.20.2-0ubuntu3.1 
2019-05-10 07:57:54 status unpacked libcupsfilters1:i386 1.20.2-0ubuntu3.1
2019-05-10 07:57:54 status half-configured libcupsfilters1:i386 1.20.2-0ubuntu3.1
2019-05-10 07:57:54 status installed libcupsfilters1:i386 1.20.2-0ubuntu3.1
2019-05-10 07:57:54 trigproc libc-bin:amd64 2.27-3ubuntu1 
2019-05-10 07:57:54 status half-configured libc-bin:amd64 2.27-3ubuntu1
2019-05-10 07:57:54 status installed libc-bin:amd64 2.27-3ubuntu1
2019-05-10 07:57:54 configure libcupsfilters-dev:amd64 1.20.2-0ubuntu3.1 
2019-05-10 07:57:54 status unpacked libcupsfilters-dev:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:54 status half-configured libcupsfilters-dev:amd64 1.20.2-0ubuntu3.1
2019-05-10 07:57:54 status installed libcupsfilters-dev:amd64 1.20.2-0ubuntu3.1

Akkor ott valami más volt. Az én esetemben ezeket a csomagokat kellett downgrade-lni (ha esetleg más is belefutott):
apt-get install ghostscript=9.22~dfsg+1-0ubuntu1 libgs9=9.22~dfsg+1-0ubuntu1 libgs9-common=9.22~dfsg+1-0ubuntu1 ghostscript-x=9.22~dfsg+1-0ubuntu1
____________________________________
Az embert 2 éven át arra tanítják hogyan álljon meg a 2 lábán, és hogyan beszéljen... Aztán azt mondják neki: -"Ülj le és kuss legyen!"..

A kettő ugyanaz az issue. A CUPS update a Ghostscript update által okozott regressziót javítja.

http://changelogs.ubuntu.com/changelogs/pool/main/c/cups-filters/cups-filters_1.20.2-0ubuntu3.1/changelog